// 加载开关状态
chrome.storage.sync.get(["highlightEnabled"], (result) => {
  let isChecked = result.highlightEnabled || false;
  document.getElementById("highlight-switch").checked = isChecked;
  sendMessage(isChecked);
});

document.getElementById("highlight-switch").addEventListener("change", (e) => {
  let isChecked = e.target.checked;
  chrome.storage.sync.set({ highlightEnabled: isChecked });
  sendMessage(isChecked);
});

function sendMessage(isChecked) {
  chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
    chrome.tabs.sendMessage(tabs[0].id, {
      action: "highlight",
      message: isChecked,
    });
  });
}
